View Issue Details

IDProjectCategoryView StatusLast Update
0000779PluginsTemporary panelpublic2009-04-17 10:45
Reporterigor_yudincevAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0000779: TmpPanel неправильно отрисовывает меню из файла-списка (*.temp)
DescriptionВыполнив команду
tmp:+menu shortcuts.rus.temp
получаем результат, показанный на скриншоте.
TagsNo tags attached.

Activities

2009-03-11 09:38

 

tmpmenu.png (1,593 bytes)
tmpmenu.png (1,593 bytes)

samlyukov

2009-03-11 09:51

reporter   bugnote:0002737

это исправлено в http://bugs.farmanager.com/view.php?id=714

igor_yudincev

2009-03-11 10:50

reporter   bugnote:0002738

баг проявляется в 820 билде.

vskirdin

2009-03-12 19:12

administrator   bugnote:0002760

Как то прикольно сделано в ShowMenuFromList :-)

#define COMMONPANELSNUMBER 10

wchar_t tmpstr[128][COMMONPANELSNUMBER];
вместо
wchar_t tmpstr[COMMONPANELSNUMBER][128];

vskirdin

2009-03-12 19:33

administrator   bugnote:0002761

билд 48

igor_yudincev

2009-04-17 02:49

reporter   bugnote:0002963

в 50 билде по указанной выше команде выводится пустое меню.
Far Manager, version 2.0 alpha (build 871) x86

alexy

2009-04-17 10:45

administrator   bugnote:0002964

Это совсем другая проблема, не надо мешать. Просто там щас этот temp в utf а плагин ещё utf не понимает.

Issue History

Date Modified Username Field Change
2009-03-11 09:38 igor_yudincev New Issue
2009-03-11 09:38 igor_yudincev File Added: tmpmenu.png
2009-03-11 09:51 samlyukov Note Added: 0002737
2009-03-11 10:50 igor_yudincev Note Added: 0002738
2009-03-12 14:55 alexy Project Far Manager => Plugins
2009-03-12 14:55 alexy Category Plugins API.Panel => Temporary panel
2009-03-12 19:12 vskirdin Note Added: 0002760
2009-03-12 19:12 vskirdin Status new => assigned
2009-03-12 19:12 vskirdin Assigned To => vskirdin
2009-03-12 19:33 vskirdin Note Added: 0002761
2009-03-12 19:33 vskirdin Status assigned => feedback
2009-03-27 22:48 igor_yudincev Status feedback => resolved
2009-03-27 22:48 igor_yudincev Resolution open => fixed
2009-03-28 01:32 alexy Status resolved => closed
2009-03-28 01:32 alexy Fixed in Version => 2.0
2009-04-17 02:49 igor_yudincev Note Added: 0002963
2009-04-17 02:49 igor_yudincev Status closed => assigned
2009-04-17 02:49 igor_yudincev Resolution fixed => reopened
2009-04-17 10:45 alexy Note Added: 0002964
2009-04-17 10:45 alexy Status assigned => closed
2009-04-17 10:45 alexy Resolution reopened => fixed